#!/bin/csh

set EDG_SYSCONFIG=/etc/sysconfig/edg

if (! $?EDG_LOCATION && -r "$EDG_SYSCONFIG" ) then
  set tmp=`grep ^EDG_LOCATION= $EDG_SYSCONFIG| tail -n 1|sed 's/=/ /'`
  if ( ! -z "$tmp" ) then
    eval setenv $tmp
  endif
endif

if ( ! $?EDG_LOCATION ) then
  setenv EDG_LOCATION "/opt/edg"
endif

if ( ! $?EDG_WL_LOCATION ) then
  setenv EDG_WL_LOCATION $EDG_LOCATION
endif

if( ! $?EDG_WL_USER ) then
    source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! $?EDG_WL_LOCATION_VAR ) then
    source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! $?EDG_WL_TMP ) then
    source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! -d $GLOBUS_LOCATION ) then
   source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! -d $GLOBUS_LOCATION ) then
    echo "$GLOBUS_LOCATION not found"
endif

# The rest of the workload.sh script

if( ! $?EDG_WL_PATH ) then
    source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! $?PATH ) then
    setenv PATH $EDG_WL_PATH
else
    foreach i (`echo "$EDG_WL_PATH" | tr : '\12'`)
      if (:$PATH\: !~ *:$i\:*) then
          setenv PATH ${PATH}":"$i
      endif
    end
endif

if( ! $?EDG_WL_LIBRARY_PATH ) then
    source $EDG_WL_LOCATION"/etc/edg-wl-vars.csh"
endif

if( ! $?LD_LIBRARY_PATH ) then
    setenv LD_LIBRARY_PATH $EDG_WL_LIBRARY_PATH
else
    foreach i (`echo "$EDG_WL_LIBRARY_PATH" | tr : '\12'`)
      if (:$LD_LIBRARY_PATH\: !~ *:$i\:*) then
          setenv LD_LIBRARY_PATH $LD_LIBRARY_PATH":"$i
      endif
    end
endif
